#include <iostream>
#include <fstream>
#include <string>
#include <stdarg.h>
#include <stdio.h>

namespace Log
{
	void Init(const char* fname);
	void EnableVerbose();
	void Write(const std::string& s);
	void Write(const char* s, ...);
	void Writen(const std::string& s);
	void Writen(const char* s, ...);
	void WriteVerbose(const std::string& s);
	void WriteVerbose(const char* s, ...);
	void WriteVerbosen(const std::string& s);
	void WriteVerbosen(const char* s, ...);
};

